Subject: bug#22768: Crash safety

From: Antonio Diaz Diaz <[email-masked]>
Date: Sat, 27 Feb 2016 01:50:54 +0100

Antonio Diaz Diaz wrote:
> Just now my preference is to make the behavior optional and call the 
> option --fsync. I think both points meet the principle of least surprise.

An additional reason to make the behavior optional is that people find 
the performance penalty of fsync so annoying that they even write 
libraries to disable it[1].

"This package contains a small LD_PRELOAD library (libeatmydata) and a 
couple of helper utilities designed to transparently disable fsync and 
friends (like open(O_SYNC)). This has two side-effects: making software 
that writes data safely to disk a lot quicker and making this software 
no longer crash safe."

[1] http://packages.debian.org/testing/utils/eatmydata

Best regards,
Antonio.